Subject: FAQ: alt.bbs.metal
From: [email-masked] (Tilghman Lesher)
Date: 15 Dec 1996 02:05:07 GMT
Newsgroups: alt.bbs.metal

Metal/Futurevision/Futurenet Frequently Asked Questions (FAQ) 
$$:Rev 1.1 12/14/96
 
This faq will be posted monthly on alt.bbs.metal. It is available via:
 
 WWW      http://galadriel.ecaetc.ohio-state.edu/mfv/mfv.faq
 
The official Metal/FV web page is:
         http://galadriel.ecaetc.ohio-state.edu/mfv/
 
The official Metal/FV BBS is The Space Bar (619)433-4653
 
This version of the Frequently Asked Questions (FAQ) is by
	[email-masked] 

Index
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
I.     Introduction
II.    Metal
III.   Futurevision
IV.    Futurenet
V.     Internet Gateway
VI.    Future Expansion
A.     Common abbreviations used

I. Introduction
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       This FAQ is intended to answer frequently answered questions about
Metal, Futurevision and the Futurenet network.  No warranties apply - this
document can't possibly answer every question, so don't expect it to.
 
       This is the second version of this document. If you have
suggestions/comments et all, post on a.b.m.  All suggestions to improve
the document are welcomed.  Flames will be redirected to /dev/null. And
yes, I know this document is "rough" as all hell - forgive me.
 
       Upon a more advanced document, the FAQ will be posted to additional
more appropriate newsgroups.

II. Metal
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	Q1. What is Metal?
	A1. It is an acronym which stands for Mega Extensive
	    Telecommunications Applications Language. Metal is a
	    programming language designed specifically for using your
	    modem *easily*. Metal programs (called ieb's) are compiled.
	    Then, when Metal is running, it interprets the ieb.

	Q2. What is the current RELEASED version of METAL?
	A2. 1.09.08

	Q3. Metal and my modem aren't working correctly for reason _____.
	A3. Always check:
            1. Modem Status (is the actual modem ok?)
            2. The cable from cpu <-> computer. Do you need a HWHS cable?
            3. Your metal.config file;
               Is it setup correctly for your modem? Examples can be
               had in the mfv/configs directory on the ftp site. Try to
               match your modem type w/ your cpu/cable type as best you can.
            4. Worst case scenario is that you post it to e/o a.b.m or
               fnet.admin and someone will help you. Be sure to include
               ALL of the above information.
 
        Q4. Users are having trouble transferring files w/ Metal's xfer
            protocols.
        A4. Try a different version.  Also note that users may have some
	    trouble getting Zmodem to work properly, as it (technically)
	    is still in beta.

	Q5. Can I write code for Metal?
	A5. Yes, certainly. Writing code for Metal is a snap. You should
	    have some previous programming experience, however, as Metal
	    has many commands, and deciding which ones to use for your
	    task is fairly complex. Do not be worried, however, as the
	    language is logical and straightforward.

	Q6. I have an IBM PC.  Can I run METAL?
	A6. Currently, METAL is only implemented on the Apple 2 series
	    of computers. There are no known plans, currently, to port
	    METAL to other types of computers.

III. Futurevision
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Q1. What is FV?
        A1. Read http://galadriel.ecaetc.ohio-state.edu/mfv/fvinfo.htm
 
        Q2. What is the current RELEASED version of FV?
        A2. FV4.
 
        Q3. What is the status of FV4.1?
        A3. The <hopefully> last beta before a release (xmas '95)
            was released 10/22/95 - Beta #6.
 
        Q4. How is FV released?
        A4. In shrinkit archives. Each is seperated as follows:
 
            fv.VERSION.iebs         All of the REQUIRED must-have iebs
                      .utils        Util iebs that a sysop could use
                      .xtras        Extra IEBS that aren't needed
                      .net          IEBS REQUIRED for NETWORKING.
                      .UPDT         Contains all iebs changed since last
                                    release. Includes network iebs.
 
        Q5. Where is FV distributed?
        A5. Many places, going in this specific order:
              ftp: ftp://galadriel.ecaetc.ohio-state.edu/pub/mfv/
              bbs: The Space Bar BBS
 
              The larger fnet sites normally have them available.
              Some files are availabe via email request - for more info
                send mail to [email-masked] with the first line
                containing the "HELP:" command (no quotes).
 
        Q6. How long has FV4.1.xx been in beta?
        A6. Forever. Its taken too long, but its been a semi/dead project
            for intermediate amounts of time.  FV now has the networking
            functionality that gives futurnet the opportunity to expand
            via the internet - which is why its near release.
 
        Q7. How do I obtain the latest network-data files needed to
            become a site on fnet?
        A7. They are available in any of the following:
              ftp://galadriel.ecaetc.ohio-state.edu/pub/mfv/fv/fnet.public 
              email: [email-masked] (refer to III.A5)
 
IV. Futurenet
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Q1. What is futurenet?
        A1. Refer to mfv/fnetinfo.htm
 
        Q2. I'd like to have a site id for my bbs. Who do I contact?
        A2. Contact     : [email-masked]
            Requirements: The bbs's telephone #
                          Your voice ph# (this stays unreleased, of course)
                          The id# of the site which you have obtained
                           aggreement on with your networking schedule.
 
        Q3. Futurenet has filemail between sites - does this work over
            internet?
        A3. Yes. The file is uuencoded.
 
        Q4. Is futurenet mail mime compatible?
        A4. No, although some mac/win current mailers might recognize the file
            and automatically uudecode it for you.

V. Internet Gateway
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Q1. How does fnet interact w/ internet?
        A1. Through a uucp-ish program.  In summary, it is actually
            two programs, a mailer & a shell. The fnet system dials
            into the unix box, logs into the shell, transfers files via
            zmodem & then hangs up. Its fairly efficient, and really rather
            simple - and FREE.
 
        Q2. Where is the fnet/unix gateway software.
        A2. ftp://galadriel.ecaetc.ohio-state.edu/pub/mfv/
			fv/gateway/fv.unix.tar.Z
 
VI. Future Expansion

	Q1. I want METAL to take full capacity of my //gs.  Can I do that?
	A1. Currently, the 8-bit version of METAL has various modules to
	    help take advantage of the power of your machine.  Consult
	    with the help files to find out just which ones are proper for
	    your specific configuration.

	    Also, in development is METAL GS, a 16 bit version of METAL.
	    This is still currently pre-alpha as of this writing (Dec 96).
	    Details of a beta release will be made as soon as they are
	    available on a.b.m.

	Q2. Can I beta test METAL GS?
	A2. There is currently nothing to beta test.  When the
	    time comes, we will ask for volunteers to help beta
	    test METAL GS.
 
A. Some Common Abbreviations
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	a.b.m		alt.bbs.metal
	e/o		either/or
	fnet		FutureNet
	FV		Futurevision
	iebs		A compiled Metal program 
	metal		Mega Extensive Telecommunications Applications
			  Language
	segs		refer to iebs
	uucp		Unix to Unix Copy Protocol

--
__ __|_) |       |                    
   |   | |  _` |   \   ` \   _` |   \ 
  _|  _|_|\__, |_| _|_|_|_|\__,_|_| _|
          ____/